# Sweepable

**Inherits:** ISweepable, Auth2Step

This contract allows the owner of the contract to recover accidentally sent tokens and the chain's native token

## Functions

### constructor

```solidity
constructor(address initialOwner, Authority initialAuthority) Auth2Step(initialOwner, initialAuthority);
```

### sweep

Withdraw any tokens accidentally sent to contract

```solidity
function sweep(address token, uint256 amount) external requiresAuth;
```

**Parameters**

| Name     | Type      | Description                                                            |
| -------- | --------- | ---------------------------------------------------------------------- |
| `token`  | `address` | Token address to withdraw or zero address for the chain's native token |
| `amount` | `uint256` | Amount to withdraw                                                     |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aera.finance/the-protocol/core/sweepable.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
